List All Organization Groups
curl --request GET \
--url https://api.virtuoussoftware.com/api/OrganizationGroup \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/OrganizationGroup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/OrganizationGroup"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/OrganizationGroup");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/OrganizationGroup';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"list": [
{
"id": 8001,
"organizationGroupUrl": "https://api.virtuoussoftware.com/api/OrganizationGroup/8001",
"organizationId": 1,
"organizationName": "Riverside Hope Foundation",
"name": "Board of Directors",
"location": "Springfield, OR",
"description": "Members of the Riverside Hope Foundation board of directors.",
"organizationGroupContactsUrl": "https://api.virtuoussoftware.com/api/OrganizationGroup/8001/contacts"
},
{
"id": 8002,
"organizationGroupUrl": "https://api.virtuoussoftware.com/api/OrganizationGroup/8002",
"organizationId": 1,
"organizationName": "Riverside Hope Foundation",
"name": "Major Donor Circle",
"location": "Springfield, OR",
"description": "Donors giving $10,000 or more annually.",
"organizationGroupContactsUrl": "https://api.virtuoussoftware.com/api/OrganizationGroup/8002/contacts"
}
],
"total": 2
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Contacts and Individuals
List All Organization Groups
Returns the organization groups defined in the organization — the departments, chapters, or campuses that contacts can belong to. Use filter to narrow the results by name. Use skip and take to page through the results.
GET
/
api
/
OrganizationGroup
List All Organization Groups
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The optional filter.
The number of records to skip. Default = 0.
The number of records to take. Default = 10.
Last modified on August 11, 2026
Was this page helpful?
⌘I